<!DOCTYPE html>


<!--

https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/range
https://www.codesdope.com/blog/article/difference-between-window-onload-and-document-read/#:~:text=While%20the%20document%20ready%20is%20a%20jQuery%20event,waits%20for%20the%20content%20unlike%20%24%20%28document%29.ready%20%28%29. 

-->



<html lang="en">
      <head>
        <style>
               #container {
                   display: table;
               }

              .polaroid {
                border: 1px solid #bfbfbf;
                background-color: white;
                height: 100%;
              }
                    .slidertitle {
                        font-size: 14px;
                        padding: 0px;
                        padding-bottom: 10px;
                        margin: 0px;
                        color: #327A37;
                        font: verdana;
                        font-weight: bold;
                    }
                    .slidercontainer {
                        width: 95%;
                        position: relative;
                        font-family: verdana;
                        padding: 10px;
                    }
                    .sliderlabel {
                        width: 70%;
                        padding-right: 0px;
                        float: left;
                        font-size: 12px;
                        padding-top: 4px;
                        padding-left: 0px;
                        margin: 0;
                        font-weight: normal;
                        clear: both;
                        // background-color: yellow;
                    }

                    .slidervalue0 {
                        -webkit-appearance: none;
                        width: 30px;
                        height: 12px;
                        background: #DDDDDD;
                        outline: none;
                        opacity: 0.7;
                        -webkit-transition: 0.2s;
                        transition: opacity 0.2s;
                        border-radius: 10px;
                        float: right;
                        margin-top: 12px;
                        margin-bottom: 12px;
                    }

                    .slidervalue1 {
                        -webkit-appearance: none;
                        width: 30px;
                        height: 12px;
                        background: green;
                        outline: none;
                        opacity: 0.7;
                        -webkit-transition: 0.2s;
                        transition: opacity 0.2s;
                        border-radius: 10px;
                        float: right;
                        margin-top: 12px;
                        margin-bottom: 12px;
                    }
                    .sliderval {
                       float: left;
                        width: 6px;
                        padding-left: 8px;
                        font-weight: normal;
                        display: none;
                        margin: 0;
                        padding-top: 3px;
                    }

                    .slider:hover {
                        opacity: 1;
                        background: black;
                        cursor: pointer;
                    }

                    .slider::-webkit-slider-thumb{
                        -webkit-appearance: none;
                        border-radius: 50%;
                        appearance: none;
                        width: 11px;
                        height: 11px;
                        background: #AAAAAA;
                        border: 1px solid #AAAAAA;
                        cursor: pointer;
                    }
                    .slider::-moz-range-thumb {
                        border-radius: 50%;
                        width: 11px;
                        height: 11px;
                        background: #AAAAAA;
                        border: 1px solid #AAAAAA;
                        cursor: pointer;
                    }
        </style>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />


    </head>
    
    <script src="https://code.jquery.com/jquery-3.5.0.js"></script>

    <script>

            function createOneSlider(sliderId, label, score) {
                 if (label != undefined) {
                            var  parentElement = document.getElementById("container");
                            
                            var divElement = document.createElement('DIV');
                            
                            
                            var scoreValueElement = document.createElement('input');
                            scoreValueElement.classList.add("slider");
                            scoreValueElement.classList.add("slidervalue"+score);
                            scoreValueElement.id = "toggleButton"
                            scoreValueElement.classList.add(sliderId);
                            
                            scoreValueElement.type = "range";
                            // scoreValueElement.setAttribute("list","tickmarks");
                            scoreValueElement.min = "0";
                            scoreValueElement.max = "1";
                            scoreValueElement.value = score;
                            
                            var scoreLabelElement = document.createElement('DIV');
                            scoreLabelElement.classList.add("sliderlabel");
                            scoreLabelElement.id = "scoreElement";
                            scoreLabelElement.innerHTML = label;
                            
                            divElement.appendChild(scoreLabelElement); 
                            divElement.appendChild(scoreValueElement); 
                            parentElement.appendChild(divElement); 

                            }
                }

             window.onload = function() {

             // *******************************************    
             // *******************************************    
             // ************** REMOVE from here to ......
                 console.log("==> start DEBUG HTML ");
                 if (true) {
                 
                     var exposedProperties = {
                        dummy: "dummy"
                        };

                     exposedProperties.label1 = "label1";
                     exposedProperties.score1 = true;
                     exposedProperties.label2 = "label2";
                     exposedProperties.score2 = false;
                     exposedProperties.label3 = "label3";
                     exposedProperties.score3 = true;
                     exposedProperties.label4 = "label4";
                     exposedProperties.score4 = false;
                     exposedProperties.label5 = "label5";
                     exposedProperties.score5 = true;
                     
                     exposedProperties.title = "title";
                     }
                 console.log("==> end DEBUG HTML ");
             // *************** to HERE when copying the code into CJM
             // ******************************************************
             // ******************************************************



              console.log("==> start2 ");
                 
              console.log("==> exposedProperties.label1 =  "+exposedProperties.label1);
              console.log("==> exposedProperties.score1 =  "+exposedProperties.score1);
              console.log("==> exposedProperties.label2 =  "+exposedProperties.label2);
              console.log("==> exposedProperties.score2 =  "+exposedProperties.score2);
              console.log("==> exposedProperties.label3 =  "+exposedProperties.label3);
              console.log("==> exposedProperties.score3 =  "+exposedProperties.score3);
              console.log("==> exposedProperties.label4 =  "+exposedProperties.label4);
              console.log("==> exposedProperties.score4 =  "+exposedProperties.score4);
              console.log("==> exposedProperties.label5 =  "+exposedProperties.label5);
              console.log("==> exposedProperties.score5 =  "+exposedProperties.score5);
           
              console.log("==> exposedProperties.title =  "+exposedProperties.title);

            if (exposedProperties.label1 != "")  {
                if (exposedProperties.score1 == true) {
                    createOneSlider("slider1",exposedProperties.label1, 1);
                }
                else {
                    createOneSlider("slider1",exposedProperties.label1, 0);
                }
            }

            if (exposedProperties.label2 != "")  {
                if (exposedProperties.score2 == true) {
                    createOneSlider("slider2",exposedProperties.label2, 1);
                }
                else {
                    createOneSlider("slider2",exposedProperties.label2, 0);
                }
            }

             if (exposedProperties.label3 != "")  {
            if (exposedProperties.score3 == true) {
                    createOneSlider("slider3",exposedProperties.label3, 1);
                }
                else {
                    createOneSlider("slider3",exposedProperties.label3, 0);
                }
             }

            if (exposedProperties.label4 != "")  {
                if (exposedProperties.score4 == true) {
                    createOneSlider("slider4",exposedProperties.label4, 1);
                }
                else {
                    createOneSlider("slider4",exposedProperties.label4, 0);
                }
            }

            if (exposedProperties.label5 != "")  {
                if (exposedProperties.score5 == true) {
                        createOneSlider("slider5",exposedProperties.label5, 1);
                    }
                    else {
                        createOneSlider("slider5",exposedProperties.label5, 0);
                    }
             }
            

            title = document.getElementById("title");
            title.innerHTML = exposedProperties.title;

            document.getElementById('container').style.height = '100%';


            //$(document).ready(function () {
            //    console.log("Document ready event handler");
            //    });

            $(document).on('input', '#toggleButton', function(){
                // Print entered value in a div box 
                //alert("toggled!");
                console.log("Change value="+$(this).val() +" className=" + $(this).attr("class"));
                listOfClassNames = $(this).attr("class")
                var elem = $(`.slider1`);

                if (listOfClassNames.search('slider1') != -1) {
                    console.log("slider1 found");
                    elem = $(`.slider1`);
                    exposedProperties.score1 ^= 1;
                    var elem = $(`.slider1`);
                    
                    if (exposedProperties.score1 == 1 ) {
                        oldClass = "slidervalue0";
                        newClass = "slidervalue1";
                        }
                    else{
                        oldClass = "slidervalue1";
                        newClass = "slidervalue0";
                        }
                    }
                if (listOfClassNames.search('slider2') != -1) {
                    elem = $(`.slider2`);
                    console.log("slider2 found");
                    exposedProperties.score2 ^= 1;
                    if (exposedProperties.score2 == 1 ) {
                        oldClass = "slidervalue0";
                        newClass = "slidervalue1";
                        }
                    else{
                        oldClass = "slidervalue1";
                        newClass = "slidervalue0";
                        }
                    }
                if (listOfClassNames.search('slider3') != -1) {
                    elem = $(`.slider3`);
                    console.log("slider3 found");
                    exposedProperties.score3 ^= 1;
                    if (exposedProperties.score3 == 1 ) {
                        oldClass = "slidervalue0";
                        newClass = "slidervalue1";
                        }
                    else{
                        oldClass = "slidervalue1";
                        newClass = "slidervalue0";
                        }
                    }
                if (listOfClassNames.search('slider4') != -1) {
                    elem = $(`.slider4`);
                    console.log("slider4 found");
                    exposedProperties.score4 ^= 1;
                    if (exposedProperties.score4 == 1 ) {
                        oldClass = "slidervalue0";
                        newClass = "slidervalue1";
                        }
                    else{
                        oldClass = "slidervalue1";
                        newClass = "slidervalue0";
                        }
                    }
                if (listOfClassNames.search('slider5') != -1) {
                    elem = $(`.slider5`);
                    console.log("slider5 found");
                    exposedProperties.score5 ^= 1;
                    if (exposedProperties.score5 == 1 ) {
                        oldClass = "slidervalue0";
                        newClass = "slidervalue1";
                        }
                    else{
                        oldClass = "slidervalue1";
                        newClass = "slidervalue0";
                        }
                    }

                 if (elem.hasClass(oldClass)) {
                    elem.removeClass(oldClass);
                    }
                 elem.addClass(newClass);
                        
                  console.log("==> exposedProperties.label1 =  "+exposedProperties.label1);
                  console.log("==> exposedProperties.score1 =  "+exposedProperties.score1);
                  console.log("==> exposedProperties.label2 =  "+exposedProperties.label2);
                  console.log("==> exposedProperties.score2 =  "+exposedProperties.score2);
                  console.log("==> exposedProperties.label3 =  "+exposedProperties.label3);
                  console.log("==> exposedProperties.score3 =  "+exposedProperties.score3);
                  console.log("==> exposedProperties.label4 =  "+exposedProperties.label4);
                  console.log("==> exposedProperties.score4 =  "+exposedProperties.score4);
                  console.log("==> exposedProperties.label5 =  "+exposedProperties.label5);
                  console.log("==> exposedProperties.score5 =  "+exposedProperties.score5);

                });

             };





    
    </script>

   <body style="max-width: 600px;" >

      <div id="container" class="slidercontainer polaroid">

          <P id="title" class="slidertitle "></P>
          <!-- <input class="slider" id="titi" type="range" min="0" max="1"> -->


      </div>
  </body>
</html>

